## com.sun.grizzly.suspendable
Interface SuspendableHandler<A>

    public interface SuspendableHandler<A>

A handler for consuming the result of an suspendable operation. The suspendable operations defined in this package allow a suspendable handler to be specified to consume the result of an suspensable operation. When an operation completes the handler's `#interupted,#resumed,#cancelled` method is invoked with the result.

Author:
  Jeanfrancois Arcand

Method Summary
`void` `expired(A attachment)` Invoked when a suspendable is expired (using the timeout value specified by calling `SuspendableFilter.suspend(java.lang.String)`)
`void` `interupted(A attachment)` Invoked when a suspendable is cancelled (by calling `Suspendable.cancel()`)
`void` `resumed(A attachment)` Invoked when a suspendable is resumed (by calling `Suspendable.resume()`)

Method Detail

### interupted

    void interupted(A attachment)

  Invoked when a suspendable is cancelled (by calling `Suspendable.cancel()`)

  Parameters:
    `attachment` -

### resumed

    void resumed(A attachment)

  Invoked when a suspendable is resumed (by calling `Suspendable.resume()`)

  Parameters:
    `attachment` -

### expired

    void expired(A attachment)

  Invoked when a suspendable is expired (using the timeout value specified by calling `SuspendableFilter.suspend(java.lang.String)`)

  Parameters:
    `attachment` -

Copyright © 2008 SUN Microsystems. All Rights Reserved.